"use strict";

var React = require('react'),
    ReactDom = require('react-dom'),
    html = require('apeman-react-html'),
    ApCheckbox = require('../../lib/ap_checkbox'),
    ApCheckboxStyle = require('../../lib/ap_checkbox_style');

class Demo extends React.Component {
    constructor(props) {
        super(props);
        var s = this;
        s.state = {
            checked: 'foo02'
        };
    }

    handleChange(e) {
        var s = this;
        s.setState({
            checked: e.target.value
        })
    }

    render() {
        var s = this;
        let state = s.state || {};
        return (
            <div>
                <ApCheckbox onChange={s.handleChange.bind(s)}
                         name="foo"
                         id="foo-02"
                         checked={state.checked === 'foo01'}
                         title="This is foo 01"
                         value={"foo01"}></ApCheckbox>
                <ApCheckbox onChange={s.handleChange.bind(s)}
                         name="foo"
                         id="foo-01"
                         checked={state.checked === 'foo02'}
                         title="This is foo 02"
                         value={"foo02"}></ApCheckbox>
            </div>
        )
    }
}

(function (window) {
    window.onload = function () {
        ReactDom.render(
            React.createElement(Demo, {}),
            document.getElementById('demo')
        );

        ReactDom.render(
            React.createElement(ApCheckboxStyle, {}),
            document.getElementById('demo-style')
        );
    };
})(window);


